Package com.smartgwt.client.widgets.calendar

# Class ShowLaneCustomizer

java.lang.Object
com.smartgwt.client.widgets.calendar.ShowLaneCustomizer

public abstract class ShowLaneCustomizer extends Object
Called to determine a particular lane should be visible in the passed view

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShowLaneCustomizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `executeDefault(Lane lane, CalendarView calendarView)`
  Call executeDefault() to run the original method for default behavior
  `Calendar`
  `getCalendar()`
  Returns the Calendar being customized
  `void`
  `setCalendar(Calendar calendar)`
  `abstract boolean`
  `shouldShowLane(Lane lane, CalendarView calendarView)`
  shouldShowLane() should be implemented and return true if the passed lane should be visible in the passed view Use executeDefault() to run the original method to fall back on default behavior.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ShowLaneCustomizer

    public ShowLaneCustomizer()

- ## Method Details

  - ### setCalendar

    public void setCalendar(Calendar calendar)

  - ### getCalendar

    public Calendar getCalendar()
    Returns the Calendar being customized
    Returns:
      Calendar being customized

  - ### executeDefault

    public boolean executeDefault(Lane lane, CalendarView calendarView)
    Call executeDefault() to run the original method for default behavior

  - ### shouldShowLane

    public abstract boolean shouldShowLane(Lane lane, CalendarView calendarView)
    shouldShowLane() should be implemented and return true if the passed lane should be visible in the passed view Use executeDefault() to run the original method to fall back on default behavior. To access the Calendar itself, call getCalendar() on the event or the calendarView.
    Parameters:
      `lane` - the lane in question
      `calendarView` - the view in which the lane exists
    Returns:
      true if the lane should be visible in the passed view, or false otherwise